Skip to main content
GET
/
api
/
notifications
/
subscriptions
List notification subscriptions
curl --request GET \
  --url https://app.demand-iq.com/api/notifications/subscriptions \
  --cookie session=
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "eventType": "<string>",
    "channel": "webhook",
    "channelConfig": {},
    "isActive": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Response

Subscriptions

id
string<uuid>
required
organizationId
string<uuid>
required
name
string
required
eventType
string
required
channel
enum<string>
required
Available options:
webhook,
email,
console
channelConfig
object
required

Channel-specific configuration (e.g. URL for webhook, recipients for email)

isActive
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
deckId
string<uuid> | null